Radicas Docs
API referenceGenerated

Seat Allocation

GET
/costs/allocation

Every active seat card's cost, split across the window by tce share.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

group_by?Group By
Default"user"

Value in

  • "user"
  • "feature"
  • "agent"
days?Days
Default30

Response Body

application/json

application/json

curl -X GET "https://example.com/costs/allocation"
[  {    "seat_id": "string",    "provider": "string",    "product": "string",    "plan": "string",    "pool": "string",    "group_by": "string",    "window_start": "2019-08-24T14:15:22Z",    "window_end": "2019-08-24T14:15:22Z",    "seat_cost_usd": "string",    "total_tce_usd": "string",    "method_id": "string",    "cost_basis": "string",    "shares": [      {        "key": "string",        "tce_usd": "string",        "ratio": "string",        "allocated_usd": "string",        "unpriced_spans": 0      }    ]  }]
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}